cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-8788 won't patch without /downloader present on ver 1.9.0.0

SOLVED

SUPEE-8788 won't patch without /downloader present on ver 1.9.0.0

I have removed the contents of the /downloader folder on my live version of Magento (I don't use connect). SUPPE-8788 is preventing its install because it wants to add the file app/locale/en_US/Mage_Uploader.csv.

 

full error:

 

patching file app/locale/en_US/Mage_Uploader.csv
can't find file to patch at input line 4753
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git downloader/lib/Mage/HTTP/Client/Curl.php downloader/lib/Mage/HTTP/Cl                                                                                                   ient/Curl.php
|index c55f88d..31f9f77 100644
|--- downloader/lib/Mage/HTTP/Client/Curl.php
|+++ downloader/lib/Mage/HTTP/Client/Curl.php
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored

I am able to install the patch successfully on my test server (same version/extensions) which still has this folder and its contents in place. Is there a way to skip this step when patching?

4 REPLIES

Re: SUPEE-8788 won't patch without /downloader present on ver 1.9.0.0

Hi @wss_web, we prepare patches to apply on stock versions and the limitations of our patch delivery mechanism is inability to provide custom patching rules like customizing for missing files. The solution here is to either modify the patch or put the downloader back up temporarily.

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical

Re: SUPEE-8788 won't patch without /downloader present on ver 1.9.0.0

Try this -

 

Download the latest version of Magento (currently v1.9.3.0) and copy the downloader directory to your magento directory. Then try the patch again.  You can delete the downloader again after you patch.

 

from -  http://magento.stackexchange.com/a/140744

 

Greg

Re: SUPEE-8788 won't patch without /downloader present on ver 1.9.0.0

@wss_web you can remove the instructions that relate to the downloader files from the patch. Normally you could just edit the patch file with any editor. However as this patch contains binary data most editors will corrupt the file when saving the edited versions (which in turn means it does not apply cleanly against the removed swf flash files).

 

I used sed to edit the patch file (stripping out the unnecessary instructions) - see https://gist.github.com/fooman/b8f4ddbeadf4adebffd911f3411e3d70 for changing the 1.7.0.2 patch.

 

Assuming all instructions for the files under downloader/ are in one block open the patch file with an editor that provides line numbers and find the first line number that starts with

 

diff --git downloader/

Then scroll down until you find the last entry that starts with

 

diff --git downloader/

then scroll further until the next

diff --git

then subtract 1 from that line number. These lines are what you want to remove from your patch with

 

sed -i '6573,6686 d' PATCH_SUPEE-8788_CE_1.7.0.2_v1-2016-10-11-06-36-18.sh

 

 

Alternatively you would need to copy these files back from the original:

 

downloader/Maged/Controller.php
downloader/Maged/Model/Session.php
downloader/Maged/View.php
downloader/lib/Mage/HTTP/Client/Curl.php
downloader/template/connect/packages.phtml

 

then run the patch. And then you can delete these files again.

Re: SUPEE-8788 won't patch without /downloader present on ver 1.9.0.0

Thank you @Fooman!

 

4912, 4926 for 1.9.0.0_v1. Will wait for the v2 to go out for the 1533 fix however before applying, in case things change.